it-swarm.com.de

jQuery UI-Problem mit dem jQueryEasy-Plugin

Hallo, ich habe eine alte Joomla 2.5 - Site. Ich benutze jQueryEasy für die Optimierung und wenn ich keinen zufälligen Mootools-Fehler erhalte.

Mein Problem ist: Ich möchte die draggable() -Methode von jQuery UI Verwenden. Es scheint, dass das jQueryEasy nicht den richtigen jQuery UI Lädt (das mit den anderen Bibliotheken wie draggable).

Was ich versucht habe:

In der Ansicht einer Komponente habe ich versucht, die cdns aus jQuery und jQuery UI Zu laden.

<script src="/js/jquery-1.12.4.js"></script>
<script src="/js/jquery-ui-1.12.0.js"></script>
<div id="test">
   TEST TEST TEST
</div>
<script>
jQuery(function() {
    jQuery("#test").draggable();
});
</script>

Keine Fehler, funktioniert einfach nicht.

Laden Sie dieselbe Version von jQuery + UI Aus jQueryEasy plugin.

Die gleiche Geschichte. Keine Fehler und hat nicht funktioniert.

Erstellt eine neue Datei im Joomla-Stammverzeichnis (wollte eine Datei außerhalb von Joomla Environment testen

Das hat einwandfrei funktioniert. Also bin ich zu dem Schluss gekommen, dass es sich hier um das jQueryEasy-Plugin handelt.

Stoppt das Plugin und testet den 1. Schritt

Hat wieder funktioniert.

Ich kann die Veröffentlichung des Plugins nicht aufheben. Gibt es also eine andere Möglichkeit, die richtige jQuery-Benutzeroberfläche zu laden und die Methode draggable() in die Hand zu nehmen?

1
IseNgaRt

Ich habe es verstanden.

jQueryEasy hat eine Funktion zum Ignorieren einiger Skripte zum Entfernen.

enter image description here

Ich habe die Initialisierung von jQuery UI Entfernt, ich habe sie manuell aus der Vorlage geladen und vom Plugin ausgeschlossen und alles hat wie ein Zauber funktioniert

1
IseNgaRt